* Das Programm erstellt Zufallsdaten zum Motivation-Erfolgs-Beispiel
* im Manuskript zu AMOS 5.0.

new file.
set seed  = 13.

* N Flle generieren.
input program.
+ loop #i = 1 to 384.
-  compute a = 1.
-  end case.
+ end loop.
+ end file.
end input program.

* Exogene latente Variablen erzeugen.
compute r = normal(1).
compute ane = 2 * r + normal(2).
compute anlage = 1.5 * r + normal(2.4).
compute umwelt = 2.5 * r + normal(1.32).

* erfolg initialisieren.
compute erfolg = 0.3 * anlage + 0.4 * umwelt + normal(3).

* Zeitschleife fr Episoden wechselseitiger Beeinflussung.
loop #i = 1 to 1000.
  compute motivat = 0.3 * ane + 0.4 * erfolg + normal(3).
  compute erfolg = 0.3 * anlage + 0.4 * umwelt + 0.5 * motivat + normal(2).
end loop.
exe.

* Manifeste Indikatoren mit einer Reliabilitt von 0.8 bzw. 0.6 erzeugen.
compute ane1s = ane + normal(1.414).
compute ane2s = ane + normal(2.309).
compute anlage1s = anlage +  normal(1.414).
compute anlage2s = anlage +  normal(2.309).
compute umwelt1s = umwelt +  normal(1.414).
compute umwelt2s = umwelt +  normal(2.309).

* Manifeste Indikatoren mit einer Reliabilitt von 0.8 erzeugen.
* Empirisch ermittelte Var(motivat): 12,74.
compute motiva1s = motivat +  normal(1.80).
compute motiva2s = motivat +  normal(1.80).
* Manifeste Indikatoren mit einer Reliabilitt von 0.79 erzeugen.
* Empirisch ermittelte Var(erfolg): 12,20.
compute erfolg1s = erfolg +  normal(1.80).
compute erfolg2s = erfolg +  normal(1.80).

* Manifeste Variablen in den typischen Wertebereich schieben und vergrbern.
do repeat arg = ane1s ane2s anlage1s anlage2s umwelt1s umwelt2s motiva1s motiva2s erfolg1s erfolg2s
 /erg = ane1 ane2 anlage1 anlage2 umwelt1 umwelt2 motivat1 motivat2 erfolg1 erfolg2.
+ compute erg = rnd(arg+13).
end repeat.

* Summe der Indikatoren bilden fr einen fairen Latent-Manifest-Vergleich.
compute ane12 = ane1 + ane2.
compute anlage12 = anlage1 + anlage2.
compute umwelt12 = umwelt1 + umwelt2.
compute motiva12 = motivat1 + motivat2.
compute erfolg12 = erfolg1 + erfolg2.

format ane1 ane2 anlage1 anlage2 umwelt1 umwelt2 motivat1 motivat2 erfolg1 erfolg2
 ane12 to erfolg12 (f2.0).

save outfile = 'mc.sav'
 /drop = a r ane anlage umwelt motivat erfolg.
save outfile = 'mcl.sav'
 /keep = ane anlage umwelt motivat erfolg.